From 66a4555afa4bcad41fc6da241f28336e314b8328 Mon Sep 17 00:00:00 2001
From: Melanie Plageman <melanieplageman@gmail.com>
Date: Sun, 19 Mar 2023 17:40:11 -0400
Subject: [PATCH v6 1/6] Add Buffer Access Strategy to glossary

Reviewed-by: Justin Pryzby <pryzby@telsasoft.com>
Discussion: https://www.postgresql.org/message-id/ZBYDTrD1kyGg%2BHkS%40telsasoft.com
---
 doc/src/sgml/glossary.sgml | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/doc/src/sgml/glossary.sgml b/doc/src/sgml/glossary.sgml
index 7c01a541fe..d2168f26b1 100644
--- a/doc/src/sgml/glossary.sgml
+++ b/doc/src/sgml/glossary.sgml
@@ -252,6 +252,28 @@
    </glossdef>
   </glossentry>
 
+  <glossentry id="glossary-buffer-access-strategy">
+   <glossterm>Buffer Access Strategy</glossterm>
+   <glossdef>
+    <para>
+     Some operations will access a large number of pages at a time. In order to
+     avoid using all of <varname>shared_buffers</varname> and evicting blocks
+     from buffers in use by other workloads, some operations employ a
+     <varname>Buffer Access Strategy</varname>. A <varname>Buffer Access
+     Strategy</varname> sets up references to a limited number of
+     <varname>shared_buffers</varname> and reuses them circularly. If the
+     operation dirties a buffer that it then must reuse, it must write out that
+     buffer and any associated WAL itself.
+     </para>
+     <para>
+     <varname>Buffer Access Strategies</varname> are used for sequential scans
+     of large tables, VACUUM, COPY operations, CREATE TABLE AS SELECT, ALTER
+     TABLE, CREATE DATABASE, CREATE INDEX, and CLUSTER, amongst other
+     operations.
+    </para>
+   </glossdef>
+  </glossentry>
+
   <glossentry id="glossary-cast">
    <glossterm>Cast</glossterm>
    <glossdef>
-- 
2.37.2

